"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const byParents_1 = require("./byParents");
const arrange_1 = require("./arrange");
exports.default = (store) => {
    const root = [...store.families.values()].filter(f => f.type === 'root');
    for (const rootFamily of root) {
        let stack = rootFamily.cUnitsWithChildren.reverse();
        while (stack.length) {
            const familyUnit = stack.pop();
            const family = byParents_1.default(store, familyUnit.nodes.map(node => node.id), 'child');
            const parentFamily = store.getFamily(familyUnit.familyId);
            family.pID = parentFamily.id;
            family.top = parentFamily.top + 2;
            family.left = parentFamily.left + familyUnit.shift;
            arrange_1.default(store, family);
            store.families.set(family.id, family);
            const nextUnits = family.cUnitsWithChildren;
            if (nextUnits.length)
                stack = [...stack, ...nextUnits.reverse()];
        }
    }
};
