"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const store_1 = require("./store");
const placeholders_1 = require("./middle/placeholders");
const create_1 = require("./middle/create");
const create_2 = require("./parents/create");
const create_3 = require("./children/create");
const connectors_1 = require("./connectors");
const correctPositions_1 = require("./utils/correctPositions");
const getCanvasSize_1 = require("./utils/getCanvasSize");
const getExtendedNodes_1 = require("./utils/getExtendedNodes");
exports.default = (nodes, rootId) => {
    const store = new store_1.default(nodes, rootId);
    placeholders_1.default(store);
    create_1.default(store);
    create_2.default(store);
    create_3.default(store);
    correctPositions_1.default(store);
    const families = [...store.families.values()];
    return {
        families: families,
        canvas: getCanvasSize_1.default(store),
        nodes: getExtendedNodes_1.default(families),
        connectors: connectors_1.default(families),
    };
};
